%define Werror_cflags %nil


Name: x11-driver-video-vmware
Version: 13.4.0
Release: %mkrel 1
Summary: X.org driver for VMWare(tm)
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.xz

License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libdrm-devel
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Conflicts: xorg-x11-server < 7.0
Requires: glibc >= 2.20

%description
x11-driver-video-vmware is the X.org driver for VMWare(tm).

%prep
%setup -q -n xf86-video-vmware-%{version}
%apply_patches

%build
autoreconf -fiv
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%{_libdir}/xorg/modules/drivers/vmware_drv.so
%{_mandir}/man4/vmware.*

%changelog
* Tue Jan 24 2023 tex - 13.4.0-1pclos2023
- new version

* Mon Dec 19 2022 tex - 13.3.0-4pclos2022
- apply upstream patches

* Wed Jan 26 2022 tex - 13.3.0-3pclos2022
- rebuild against updates

* Sun Mar 31 2019 tex - 13.3.0-2pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 13.3.0-1pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 13.2.1-1pclos2017
- new version

* Wed Jul 20 2016 bb <bb> 13.1.0-3pclos2016
- rebuild new xorg

